#ifndef SLED_METRIC_COUNTER_H
#define SLED_METRIC_COUNTER_H

#pragma once
#include "gauge.h"

namespace sled {
namespace metric {

class Counter {
public:
    Counter() = default;
    void Increment();
    void Increment(double value);
    void Reset();

    double Value() const;

private:
    Gauge gauge_{0.0};
};

}// namespace metric
}// namespace sled

#endif// SLED_METRIC_COUNTER_H
